<ion-content class="background">
  <form [formGroup]="onLoginForm" class="main-div">
    <div class="outer-div">
    </div>
    <div class="main-container">
      <div class="inner-div">
        <!-- <img src="assets/logo/logo.png" /> -->
      </div>
      <div class="ion-margin-horizontal">
        <img src="assets/logo/logo.png" />
      </div>

      <div class="content-div ion-text-center">
        <ion-item lines="none" class="ion-margin-horizontal">
          <ion-input placeholder="Email" type="email" formControlName="email"></ion-input>
          <ion-icon name="mail-outline" slot="start"></ion-icon>
        </ion-item>
        <div class="error-div">
          <p ion-text class="text08" *ngIf="onLoginForm.get('email').touched && onLoginForm.get('email').hasError('required')">
            <ion-text color="warning">
              Required Field
            </ion-text>
          </p>
          <p ion-text class="text08" *ngIf="onLoginForm.get('email').touched && onLoginForm.get('email').hasError('pattern')">
            <ion-text color="warning">
              Invalid Email
            </ion-text>
          </p>
        </div>
        <ion-item class="mt-10" lines="none" class="ion-margin-horizontal">
          <ion-input placeholder="Password" type="{{passwordType}}" formControlName="password"></ion-input>
          <ion-icon name="lock-closed-outline" slot="start"></ion-icon>
          <ion-icon slot="end" color="dark" name="eye" (click)="showPassword()" *ngIf="!eye"></ion-icon>
          <ion-icon slot="end" color="dark" name="eye-off"  (click)="hidePassword()" *ngIf="eye"></ion-icon>
        </ion-item>
        <div class="error-div">
          <p ion-text color="warning" class="text08"
            *ngIf="onLoginForm.get('password').touched && onLoginForm.get('password').hasError('required')">
            <ion-text color="warning">
              Required Field
            </ion-text>
          </p>
        </div>
        <div class="toggle">
          <ion-text class="textSign">KEEP ME SIGNED IN</ion-text>
          <ion-toggle color="primary" formControlName="toggle"></ion-toggle>
        </div>
        <h5 (click)="forgotPass()">FORGOT MY PASSWORD</h5>
        <ion-button class="ion-margin-horizontal ion-text-uppercase ion-margin-vertical"  expand="block" (click)="goToHome()" [disabled]="!onLoginForm.valid">LOGIN</ion-button>
        <ion-button class="ion-margin-horizontal ion-text-uppercase ion-margin-vertical facebook_color"  expand="block" (click)="facebookLogin()">Sign in with FACEBOOK</ion-button>
        <ion-button class="ion-margin-horizontal ion-text-uppercase ion-margin-vertical google_color"  expand="block" (click)="login_google()">Sign in with GOOGLE</ion-button>
        <ion-button *ngIf="platform.is('ios')" class="ion-margin-horizontal ion-text-uppercase ion-margin-vertical apple-btn"  expand="block" (click)="loginWithApple()">Sign in with Apple</ion-button>
        <h4 class="ion-padding-vertical ion-margin-bottom" (click)="goToRegister()">CREATE NEW ACCOUNT</h4>
      </div>
    </div>
  </form>

</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>